#
# This file is part of GNU Enterprise.
#
# GNU Enterprise is free software; you can redistribute it
# and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either
# version 2, or (at your option) any later version.
#
# GNU Enterprise is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
# PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public
# License along with program; see the file COPYING. If not,
# write to the Free Software Foundation, Inc., 59 Temple Place
# - Suite 330, Boston, MA 02111-1307, USA.
#
# Copyright 2001-2003 Free Software Foundation
#
# FILE:
# WidgetFocusTab.py
#
# DESCRIPTION:
#
# NOTES:
#

from wxPython.wx import *
import sys, string
from gnue.common.apps import GDebug

inactiveColor = wxBLACK
activeColor = wxBLUE
textColor = wxWHITE

#
#
#
class WidgetFocusTab:
  def __init__(self, instance, widget):
    self.instance = instance
    panel = self.instance.visualEditor.panel
    self.widget = widget
    x, y = widget._widgetHandler.widget.GetPositionTuple()
    print x,y
    self.label = wxStaticText(panel, -1, "0", pos=(x,y-10))

  def setOrder(self, position):
    self.position = position
    self.label.SetLabel("%s" % (position+1))
    print "Setting order to %s" % (position+1)

  def close(self):
    self.instance = None
    self.widget = None
##    self.Destroy()

